%define name rarlinux
%define version 5.0.1
%define release %mkrel 1
Summary: RAR archiver to create and manage RAR archives
Summary(de): RAR Archiver erstellt und verwaltet RAR-Archive
%define __strip /bin/true

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Shareware
Group: 		Archiving/Compression
URL: 		http://www.rarlabs.com/
Source0: 	%{name}-%{version}.tar.xz
Source1: 	%{name}-x64-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	unrar < %{version}
Obsoletes:	rar < %{version}
Provides:	unrar = %version-%release
Provides:	rar = %version-%release

%description
RAR is a powerful tool allowing you to manage and control archive files.
Console RAR supports archives only in RAR format, which names usually have
a ".rar" extension. ZIP and other formats are not supported.

#german
%description -l de
RAR ist ein leistungsfähiges Werkzeug zum Verwaltung und Erstellen von Archivdateien. 
Console RAR-Archive unterstützen nur das RAR-Format, die Namen haben in der Regel die 
Endung “. rar“. ZIP und andere Formate werden nicht unterstützt.


%prep

%ifarch x86_64
%setup -n rar -b1
%else
%setup -n rar -b0
%endif

%build

%install
rm -rf %{buildroot}
###%if %{?_with_static_rar:1}0
install -D -p -m0755 rar_static %{buildroot}%{_bindir}/rar
###%else
###install -D -p -m0755 rar %{buildroot}%{_bindir}/rar
###%endif
install -D -p -m0755 unrar %{buildroot}%{_bindir}/unrar
install -D -p -m0644 rarfiles.lst %{buildroot}%{_sysconfdir}/rarfiles.lst
install -D -p -m0755 default.sfx %{buildroot}%{_libdir}/default.sfx

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc *.txt
%{_sysconfdir}/rarfiles.lst
%{_bindir}/rar
%{_bindir}/unrar
%{_libdir}/default.sfx

%changelog
* Mon Dec 09 2013 pinoc <vogtpet at gmail.com> 5.0.1pclos2013
- 5.0.1
- fixed to install unrar
- install rar_static instead of rar
- added 64bit version and combined setup for 32/64

* Fri Sep 02 2011 Texstar <texstar at gmail.com> 4.0.1-1pclos2011
- 4.0.1

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 3.9.3-2pclos2010
- fix provides for rar and unrar

* Fri Mar 19 2010 leiche <meisssw01@aol.com> 3.9.3-1pclos2010
- 3.9.3

* Sun Dec 20 2009 Leiche <MeissSW01@aol.com> 3.9.1-1pclos2010
- 3.9.1
- add german synaptic description

* Tue Aug 25 2009 Anikan <mamifer0 at msn dot com> 3.9.0-1pclos2009
- 3.9.0

* Sun Jun 24 2007 Texstar <texstar@gmail.comn> 3.7.0-0.beta1.2
- fix synaptic section geesh!

* Sun Mar 25 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.7.0-0.beta1.1
- Build for pclos2007
